%define backend local_users
%define _altdata_dir %_datadir/alterator

Name: alterator-users
Version: 1.1
Release: alt14

Source:%name-%version.tar.bz2

Summary: alterator module for local users administration
License: GPL
Group: System/Configuration/Other
BuildArch: noarch
Requires: alterator >= 1.99-alt41, consolehelper
Requires: alterator-backend-%backend

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator consolehelper libpam-devel

%description
alterator module for local users administration

%package -n alterator-backend-%backend
Summary: alterator backend for local users administration
Group: System/Configuration/Other
License: GPL
Requires: alterator > 1.99-alt14
Requires: shadow-groups, coreutils

%description -n alterator-backend-%backend
alterator backend for local users administration

%prep
%setup -q


%install
%makeinstall DESTDIR=%buildroot
%find_lang %name

%__install -Dpm644 %name.menu %buildroot/%_menudir/%name

#install consolehelper
obj=config-users
%__install -d %buildroot/%_bindir
%__ln_s %_libdir/helper/consolehelper %buildroot%_bindir/$obj
%__install -d %buildroot%_sysconfdir/pam.d/

cat>%buildroot%_sysconfdir/pam.d/$obj<<EOF
#%PAM-1.0
auth	sufficient	pam_rootok.so
auth	required	pam_stack.so service=system-auth
account	required	pam_permit.so
password	required	pam_deny.so
session	optional	pam_xauth.so
EOF

%__install -d %buildroot%_sysconfdir/security/console.apps/
cat>%buildroot%_sysconfdir/security/console.apps/$obj<<EOF
USER=root
PROGRAM=%_sbindir/$obj
SESSION=true
FALLBACK=true
EOF


%post
%update_menus
%postun
%clean_menus

%files -f %name.lang
%config(noreplace) %_sysconfdir/pam.d/*
%config(noreplace) %_sysconfdir/security/console.apps/*
%_bindir/*
%_sbindir/*
%_altdata_dir/maps/*
%_altdata_dir/help/*/*
%_altdata_dir/ui/*/
%_alterator_modeldir/*
%_menudir/*
%_iconsdir/*.png
%_miconsdir/*.png
%_liconsdir/*.png



%files -n alterator-backend-%backend
%_alterator_backenddir/*
%_alterator_backend2dir/*

%changelog
* Wed Oct 19 2005 Stanislav Ievlev <inger@altlinux.org> 1.1-alt14
- minor interface fixes
- added icons

* Mon Sep 12 2005 Stanislav Ievlev <inger@altlinux.org> 1.1-alt13
- added user to scanner group

* Wed Aug 31 2005 Stanislav Ievlev <inger@altlinux.org> 1.1-alt12
- use generic make templates
- disable all input widgets by default

* Tue Aug 30 2005 Sergey V Turchin <zerg at altlinux dot org> 1.1-alt11.1
- fix widgets layout

* Wed Aug 24 2005 Stanislav Ievlev <inger@altlinux.org> 1.1-alt11
- fixed on-apply on-error

* Fri Aug 19 2005 Stanislav Ievlev <inger@altlinux.org> 1.1-alt10
- code improvements

* Fri Aug 05 2005 Stanislav Ievlev <inger@altlinux.org> 1.1-alt9
- improve latest fixes

* Tue Aug 02 2005 Stanislav Ievlev <inger@altlinux.org> 1.1-alt8
- check for user existance before add it

* Mon Aug 01 2005 Stanislav Ievlev <inger@altlinux.org> 1.1-alt7
- Belarusian translation

* Thu Jul 21 2005 Stanislav Ievlev <inger@altlinux.org> 1.1-alt6
- added chrootpasswd tab
- fixed menufile

* Wed Jul 20 2005 Stanislav Ievlev <inger@altlinux.org> 1.1-alt5
- updates

* Tue Jul 19 2005 Stanislav Ievlev <inger@altlinux.org> 1.1-alt4
- minor updates

* Thu Jul 14 2005 Stanislav Ievlev <inger@altlinux.org> 1.1-alt3
- interface improvements
- rename users-config to config-users

* Tue Jul 12 2005 Stanislav Ievlev <inger@altlinux.org> 1.1-alt2
- user added to groups in model now
- usability improvements

* Wed Jul 06 2005 Stanislav Ievlev <inger@altlinux.org> 1.1-alt1
- adopted to new scheme

* Tue Jun 28 2005 Stanislav Ievlev <inger@altlinux.org> 1.0-alt8
- minor bugfixes

* Mon Jun 27 2005 Stanislav Ievlev <inger@altlinux.org> 1.0-alt7
- minor bugfixes

* Thu Jun 23 2005 Stanislav Ievlev <inger@altlinux.org> 1.0-alt6
- updated po by kirill

* Tue Jun 21 2005 Stanislav Ievlev <inger@altlinux.org> 1.0-alt5
- improvements

* Mon Jun 20 2005 Stanislav Ievlev <inger@altlinux.org> 1.0-alt4
- added menu file

* Thu Jun 16 2005 Stanislav Ievlev <inger@altlinux.org> 1.0-alt3
- adopted for new look

* Tue Jun 14 2005 Stanislav Ievlev <inger@altlinux.org> 1.0-alt2
- adopted for new look

* Thu Jun 09 2005 Stanislav Ievlev <inger@altlinux.org> 1.0-alt1
- added standalone version of configurator

* Tue Jun 07 2005 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- improvements

* Mon Jun 06 2005 Stanislav Ievlev <inger@altlinux.org> 0.3-alt3
- new url scheme

* Tue May 31 2005 Stanislav Ievlev <inger@altlinux.org> 0.3-alt2
- current snapshot

* Fri May 27 2005 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- more help, and translation fixes (kirill@)

* Wed May 25 2005 Stanislav Ievlev <inger@altlinux.org> 0.2-alt11
- for developers only: for testing new look, added help

* Tue May 24 2005 Stanislav Ievlev <inger@altlinux.org> 0.2-alt10
- for developers only: for testing new look

* Wed May 04 2005 Stanislav Ievlev <inger@altlinux.org> 0.2-alt9
- new shapshot

* Wed Apr 27 2005 Stanislav Ievlev <inger@altlinux.org> 0.2-alt8
- new snapshot

* Mon Apr 25 2005 Stanislav Ievlev <inger@altlinux.org> 0.2-alt7
- improved files layout

* Fri Apr 22 2005 Stanislav Ievlev <inger@altlinux.org> 0.2-alt6
- bugfixes
- added support for ALT control center
- use gpasswd from shadow groups instead of usermod

* Thu Apr 21 2005 Stanislav Ievlev <inger@altlinux.org> 0.2-alt5
- changed backend format
- minor bugfixes
- additional ui for future configurator

* Wed Apr 13 2005 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4
- add users to groups

* Tue Apr 12 2005 Stanislav Ievlev <inger@altlinux.org> 0.2-alt3
- added checking for valid username

* Mon Apr 04 2005 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- little fixes

* Mon Mar 28 2005 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- move ui and model files from main alterator tarball
- new backend format available now

* Thu Mar 24 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- minor bugfixes (allow to change uid)

* Mon Mar 21 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial release
